skeleton::HWY_NAMESPACE Namespace Reference

## Functions

template<class D , typename T >
HWY_MAYBE_UNUSED void | MulAddLoop (const D d, const T *HWY_RESTRICT mul_array, const T *HWY_RESTRICT add_array, const size_t size, T *HWY_RESTRICT x_array)

## Function Documentation

## MulAddLoop()

template<class D , typename T >

HWY_MAYBE_UNUSED void skeleton::HWY_NAMESPACE::MulAddLoop | ( | const D | d,
|  | const T *HWY_RESTRICT | mul_array,
|  | const T *HWY_RESTRICT | add_array,
|  | const size_t | size,
|  | T *HWY_RESTRICT | x_array
| ) |  |

References hwy::HWY_NAMESPACE::Lanes(), hwy::HWY_NAMESPACE::Load(), hwy::HWY_NAMESPACE::MulAdd(), and hwy::HWY_NAMESPACE::Store().